summaryrefslogtreecommitdiff
path: root/scripts/kr.sh
diff options
context:
space:
mode:
authorTomas Chvatal <scarabeus@gentoo.org>2009-03-12 13:43:22 +0100
committerTomas Chvatal <scarabeus@gentoo.org>2009-03-12 13:43:22 +0100
commit02f1b503f4822f4738584cf712da078cce47d3bd (patch)
tree20e7c265686ee589b4d934a273b896ef20ac3b3e /scripts/kr.sh
parentb9804b72d80269cd51ae58808d7d980bc82df23b (diff)
Cleanup in root folder
Diffstat (limited to 'scripts/kr.sh')
-rwxr-xr-xscripts/kr.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/scripts/kr.sh b/scripts/kr.sh
new file mode 100755
index 0000000..dbc1842
--- /dev/null
+++ b/scripts/kr.sh
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+if [ ! "$1" ]; then
+ echo "Help: this script indents code according to the K&R standard"
+ echo "Usage: $0 path/to/file.c"
+ exit 1
+elif [ ! -e "$1" ]; then
+ echo "Error: file '$1' doesn't exist!"
+ exit 1
+fi
+
+indent -kr -l79 -ts4 -ip4 -ppi 4 "$1"